# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Deleting field 'FormField.name'
        db.delete_column('m3_report_generator_form_field', 'name')


    def backwards(self, orm):
        
        # User chose to not deal with backwards NULL issues for 'FormField.name'
        raise RuntimeError("Cannot reverse this migration. 'FormField.name' and its values cannot be restored.")


    models = {
        'm3_query_builder.formfield': {
            'Meta': {'object_name': 'FormField', 'db_table': "'m3_report_generator_form_field'"},
            'allow_blank': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'multi_choice': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.ReportReference']"}),
            'type': ('django.db.models.fields.SmallIntegerField', [], {}),
            'type_value': ('django.db.models.fields.CharField', [], {'max_length': '300'}),
            'verbose_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'm3_query_builder.parameter': {
            'Meta': {'object_name': 'Parameter', 'db_table': "'m3_report_generator_form_field_param'"},
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.FormField']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'm3_query_builder.reportreference': {
            'Meta': {'object_name': 'ReportReference', 'db_table': "'m3_report_generator'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'report_id': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '24'})
        }
    }

    complete_apps = ['m3_query_builder']
