# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'ReportReference.document_type'
        db.add_column('m3_report_generator', 'document_type', self.gf('django.db.models.fields.IntegerField')(null=True), keep_default=False)

        # Adding index on 'ReportReference', fields ['report_id']
        db.create_index('m3_report_generator', ['report_id'])


    def backwards(self, orm):
        
        # Removing index on 'ReportReference', fields ['report_id']
        db.delete_index('m3_report_generator', ['report_id'])

        # Deleting field 'ReportReference.document_type'
        db.delete_column('m3_report_generator', 'document_type')


    models = {
        'm3_query_builder.formfield': {
            'Meta': {'object_name': 'FormField', 'db_table': "'m3_report_generator_form_field'"},
            'allow_blank': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'multi_choice': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.ReportReference']"}),
            'type': ('django.db.models.fields.SmallIntegerField', [], {}),
            'type_value': ('django.db.models.fields.CharField', [], {'max_length': '300'}),
            'verbose_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'm3_query_builder.parameter': {
            'Meta': {'object_name': 'Parameter', 'db_table': "'m3_report_generator_form_field_param'"},
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['m3_query_builder.FormField']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'm3_query_builder.reportreference': {
            'Meta': {'object_name': 'ReportReference', 'db_table': "'m3_report_generator'"},
            'document_type': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'report_id': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '24', 'db_index': 'True'})
        }
    }

    complete_apps = ['m3_query_builder']
