
(function(){
	var win = new Ext.Window({
	    title : 'Конструктор запросов и генератор отчетов',
	    width : 1000,
	    height: 500,
	    maximizable: true,
	    maximized: true,
	    
	    bodyCfg : {
	        tag: 'iframe',
	        src : "{{ component.src|safe }}",        
	        style: {
	            border: '0px none'
	        }
	    }
	    ,buttons:[ new Ext.Button({
	    	text: 'Синхронизировать',
	    	handler: function(cmp, res){	    		
	    		var loadMask = new Ext.LoadMask(win.getEl() );
				loadMask.show();
	    		Ext.Ajax.request({
	    			url: '{{ component.synchronize_url }}',
	    			success: function(res, opt){
	    				loadMask.hide();
	    				var o = Ext.decode(res.responseText);	    				
	    				if (!o.success) {
		    				Ext.Msg.show({
							   title:'Ошибка при синхронизации',
							   msg: o.message,
							   buttons: Ext.Msg.OK,
							   animEl: 'elId',
							   icon: Ext.MessageBox.WARNING
							});
							
							return;
	    				}
	    			},
	    			failure: function(){
						loadMask.hide();
						uiAjaxFailMessage.apply(this, arguments);
					}
	    		});
	    	}	    	
	    })]
	});

	return win;
}());